Tutoriales

Cómo instalar Zlib en Ubuntu Linux [Easily]

Zlib es una biblioteca de compresión de datos de código abierto.

Como usuario final, probablemente encontrará la necesidad de instalar Zlib (o el paquete de desarrollo zlib) como una dependencia de otra aplicación.

Pero aquí viene el problema. Si intenta instalar Zlib en Ubuntu, obtendrá el error «Paquete zlib no encontrado».

sudo apt install zlib
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package zlib

¿Por qué ve que no se puede encontrar el error del paquete? Porque no existe un paquete llamado zlib.

Si usa el comando de búsqueda apt, encontrará que hay algunos paquetes que puede usar para instalar zlib: zlib1g y zlib1g-dev. Cuando tenga esta información, la instalación está a solo un comando apt de distancia.

Instale Zlib en distribuciones de Linux basadas en Ubuntu

Abra una terminal y use el siguiente comando:

sudo apt install zlib1g

Tenga en cuenta que la letra antes de g es 1 (uno), no una L. Muchas personas cometen este error al ingresar el comando.

El otro paquete, zlib1g-dev, es un paquete de desarrollo. Instálelo solo si lo necesita; de lo contrario, debería poder llevarse bien con el paquete de tiempo de ejecución principal zlib1g.

sudo apt install zlib1g-dev

También puede descargar e instalar el código fuente de Zlib desde su sitio web. Sin embargo, no recomendaré seguir la ruta del código fuente solo para instalar zlib a menos que tenga una buena razón para hacerlo. Por ejemplo, si necesita la última versión o una versión específica de zlib que no está disponible en el repositorio de la distribución.

Es interesante cómo algo aparentemente pequeño como instalar zlib puede convertirse en una agonía por dos razones: un nombre de paquete diferente y el nombre del paquete que contiene un dígito «oculto» (1) que se confunde con una L minúscula.

Espero que este rápido consejo te ayude. No dude en escribir sus preguntas, sugerencias o un simple «gracias» en el área de comentarios.

Publicaciones relacionadas

Un comentario

  1. hola, al instalar me da que estan instalados
    $ sudo apt install zlib1g
    Leyendo lista de paquetes… Hecho
    Creando árbol de dependencias… Hecho
    Leyendo la información de estado… Hecho
    zlib1g ya está en su versión más reciente (1:1.2.11.dfsg-2ubuntu6).
    0 actualizados, 0 nuevos se instalarán, 0 para eliminar y 5 no actualizados.
    Al usarlo
    $ zlib
    Orden «zlib» no encontrada. Quizá quiso decir:
    la orden «slib» del paquete deb «slib (3b6-3build1)»
    Pruebe con: sudo apt install

Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Botón volver arriba